Use py3 for pep8

Nova is moving to py3 for pep8 [1] to avoid issues like [2] and
we should do the same.

[1] https://review.openstack.org/#/c/558648
[2] https://review.openstack.org/#/c/557633

Change-Id: Ied9fcc96d4ddb154eb377c5a24d58ed4bc6247a9
changes/68/558868/1
Matthew Edmonds 5 years ago
parent 15de448b37
commit 6f195f9451

@ -18,8 +18,7 @@ whitelist_externals = bash
commands = bash tools/pretty_tox.sh '{posargs}'
[testenv:pep8]
# TODO(edmondsw): figure out why py3 doesn't work for pep8
basepython = python2.7
basepython = python3
commands = flake8
[testenv:venv]

Loading…
Cancel
Save